#!/bin/sh

#
#   1: kill openssh so it doesn't try to switch on the baskup server
#	2: kill sshpass.x children and then sshpass.x
#      as ssh connection is handled by children, just killing sshpass lets connection opened
#

KillChild()
{
	LST=$(ls /proc)
	for p in $LST
	do
		case $p in
		[0-9]*)
			statp=$(cat /proc/${p}/stat 2> /dev/null)
			if [ "$statp" = "" ]
			then
				continue
			fi
			ppid=$(echo $statp | awk '{print $4}')
			if [ "$ppid" = "$1" ]
			then
				echo "child $p"
				kill $p 2> /dev/null
			fi
		;;
		esac
	done
}

KillProc()
{
	LST=$(pidof $1 2> /dev/null)
	if [ "$LST" = "" ]
	then
		return
	fi
	for pp in $LST
	do
		case $pp in
		[0-9]*)
			echo "$1 parent $pp"
			KillChild $pp
			kill $pp 2> /dev/null
			;;
		esac
	done
}

# prevent connection to switch on backup server if primary in used
gotKillall=$(which killall)
if [ "${gotKillall}" != "" ]; then
    killall "openssh.sh"
else
    # slower
    killProc "openssh.sh"
fi

# kill children managing the connection and then sshpass.x
KillProc "sshpass.x"
exit 0
