#!/bin/sh

# set a parameter in a .ini file
# Use: getiniparam [-r] <inifile> <section> <attribute> <value>
#	<inifile>: ini file to modify/create. If '.ini' extension is not specify it will be added.
#	<section>: section name
#	<attribute>: attribute name
#	<value>: value. It can be several 'words', or empty
#	-r: If empty the param will be removed from ini file"
#	ex: getiniparam lgw gen power 8
#

if [ -f /var/run/lrrsystem ]; then
    . /var/run/lrrsystem
fi
. $ROOTACT/lrr/com/_functions.sh

if [ $# -lt 3 ]
then
	echo "Not enough parameters"
	echo "Use: getiniparam [-r] <inifile> <section> <attribute>"
	echo "<inifile>: ini file to modify/create. If '.ini' extension is not specify it will be added."
	echo "<section>: section name"
	echo "<attribute>: attribute name"
	echo "ex: getiniparam lgw gen power"
	exit 1
fi

len=$(expr "$1" : '.*.\.ini$')
if [ $len -gt 0 ]
then
	INIFILE="$1"
else
	INIFILE="$1.ini"
fi

value=$(getGlobalIniFileConf ${INIFILE} $2 $3)
if [ $? -eq 1 ]; then
	echo "[$2]"
	echo "	$3=$value"
	exit 0
else
	echo "[$2].$3 not found in ${INIFILE}"
	exit 1
fi
